using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using SuperMap.Desktop;
using SuperMap.Data;

namespace SuperMap.Desktop.Samples
{
    class _CtrlActionImport : CtrlAction
    {

        public _CtrlActionImport(IBaseItem caller)
            : base(caller)
        {

        }
        override public void Run()
        {

            FormDataImportTab form = new FormDataImportTab(String.Compare(this.Caller.CustomProperty, "MDB", true) == 0);

            form.ShowDialog();
        }

        public override Boolean Enable()
        {
            Boolean enable = false;
            try
            {
                //Get the workspace object of the current window

                Workspace Wkspace = Application.ActiveApplication.Workspace;
                if (Wkspace.Datasources.Count > 0)
                {
                    for (int i = 0; i < Wkspace.Datasources.Count; i++)
                    {
                        if (!Wkspace.Datasources[i].IsReadOnly)
                        {
                            enable = true;
                            break;
                        }
                    }
                }
            }
            catch
            {

            }
            return enable;
        }
    }
}
