﻿using SuperMap.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SuperMap.Desktop.Samples
{
    class _CtrlActionImportCustomFile : CtrlAction
    {
        public _CtrlActionImportCustomFile(IBaseItem caller)
            : base(caller)
        {

        }
        override public void Run()
        {

            FormDataImportTab form = new FormDataImportTab(null);

            form.ShowDialog();
        }

        public override Boolean Enable()
        {
            Boolean enable = false;
            try
            {
                //Get the workspace object of the current window

                Workspace Wkspace = Application.ActiveApplication.Workspace;
                if (Wkspace.Datasources.Count > 0)
                {
                    for (int i = 0; i < Wkspace.Datasources.Count; i++)
                    {
                        if (!Wkspace.Datasources[i].IsReadOnly)
                        {
                            enable = true;
                            break;
                        }
                    }
                }
            }
            catch
            {

            }
            return enable;
        }
    }

}
